# Uses of Class
java.awt.PageAttributes.PrintQualityType

Packages that use PageAttributes.PrintQualityType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of PageAttributes.PrintQualityType in java.awt

Fields in java.awt declared as PageAttributes.PrintQualityType
Modifier and Type
Field
Description
`static final PageAttributes.PrintQualityType`
PageAttributes.PrintQualityType.`DRAFT`
The PrintQualityType instance to use for specifying a draft print quality.
`static final PageAttributes.PrintQualityType`
PageAttributes.PrintQualityType.`HIGH`
The PrintQualityType instance to use for specifying a high print quality.
`static final PageAttributes.PrintQualityType`
PageAttributes.PrintQualityType.`NORMAL`
The PrintQualityType instance to use for specifying a normal print quality.
Methods in java.awt that return PageAttributes.PrintQualityType
Modifier and Type
Method
Description
`PageAttributes.PrintQualityType`
PageAttributes.`getPrintQuality()`
Returns the print quality for pages using these attributes.
Methods in java.awt with parameters of type PageAttributes.PrintQualityType
Modifier and Type
Method
Description
`void`
PageAttributes.`setPrintQuality(PageAttributes.PrintQualityType printQuality)`
Specifies the print quality for pages using these attributes.
Constructors in java.awt with parameters of type PageAttributes.PrintQualityType
Modifier
Constructor
Description
``
`PageAttributes(PageAttributes.ColorType color, PageAttributes.MediaType media, PageAttributes.OrientationRequestedType orientationRequested, PageAttributes.OriginType origin, PageAttributes.PrintQualityType printQuality, int[] printerResolution)`
Constructs a PageAttributes instance with the specified values for every attribute.